---
title: 'RTCPeerConnection: identityresult event'
slug: Web/API/RTCPeerConnection/identityresult_event
tags:
  - API
  - Authentication
  - Event
  - Identity
  - Obsolete
  - RTCPeerConnection
  - Reference
  - WebRTC
  - WebRTC API
  - identityresult
---
<div>{{APIRef("WebRTC")}}{{obsolete_header}}</div>

<p><span class="seoSummary">An <strong><code>identityresult</code></strong> event is sent to an {{domxref("RTCPeerConnection")}} object's {{domxref("RTCPeerConnection.onidentityresult", "onidentityresult")}} event handler to inform it that an assertion has been generated by an associated identity provider (IdP) during the process of creating an {{Glossary("SDP")}} offer or answer.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> While older versions of the WebRTC specification used events to report assertions, this has been deprecated and removed from the specification. Instead, the {{domxref("RTCPeerConnection.peerIdentity", "peerIdentity")}} property returns a {{jsxref("Promise")}} that resolves with an identity or rejects if an error occurs or if unable to validate the identity.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{DOMxRef("RTCIdentityEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("RTCPeerConnection.onidentityresult", "onidentityresult")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{ SpecName('WebRTC 1.0', '#event-mediastream-identityresult', 'identityresult') }}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCPeerConnection.identityresult_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
</ul>
